### Hierarchy

- AbstractUIMenuPanel
  - UIMenuPercentagePanel

## Index

### Constructors

- constructor

### Properties

- _activeBar
- _backgroundBar
- _lastPercentage
- _maxText
- _minText
- _pressed
- _title
- background
- enabled
- id
- parentItem

### Accessors

- Enabled
- Height
- MaxText
- MinText
- ParentItem
- ParentMenu
- Percentage
- Title

### Methods

- _getProgress
- _processControls
- draw
- setVerticalPosition
- updateParentItem

## Constructors

### constructor

- new UIMenuPercentagePanel(title?: string, percentage?: number, minText?: string, maxText?: string): UIMenuPercentagePanel

- Overrides AbstractUIMenuPanel.constructor

  - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:20

  #### Parameters

  - ##### title: string = ''

  - ##### percentage: number = 0

  - ##### Optional minText: string

  - ##### Optional maxText: string

  #### Returns UIMenuPercentagePanel

## Properties

### Private Readonly _activeBar

_activeBar: Rectangle

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:17

### Private Readonly _backgroundBar

_backgroundBar: Rectangle

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:18

### Private _lastPercentage

_lastPercentage: number

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:11

### Private Readonly _maxText

_maxText: Text

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:15

### Private Readonly _minText

_minText: Text

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:14

### Private _pressed

_pressed: boolean = false

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:10

### Private Readonly _title

_title: Text

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:13

### Protected Readonly background

background: Sprite

Overrides AbstractUIMenuPanel.background

- Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:8

### Protected enabled

enabled: boolean = true

Inherited from AbstractUIMenuPanel.enabled

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:10

### Readonly id

id: string = ...

Inherited from AbstractUIMenuPanel.id

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:7

### Protected parentItem

parentItem: undefined | UIMenuItem

Inherited from AbstractUIMenuPanel.parentItem

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:9

## Accessors

### Enabled

- get Enabled(): boolean
- set Enabled(value: boolean): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:26

  #### Returns boolean

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:30

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Height

- get Height(): number

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:34

  #### Returns number

### MaxText

- get MaxText(): string
- set MaxText(value: string): void

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:73

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:77

  #### Parameters

  - ##### value: string

  #### Returns void

### MinText

- get MinText(): string
- set MinText(value: string): void

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:65

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:69

  #### Parameters

  - ##### value: string

  #### Returns void

### ParentItem

- get ParentItem(): undefined | UIMenuItem
- set ParentItem(value: undefined | UIMenuItem): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:18

  #### Returns undefined | UIMenuItem

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:22

  #### Parameters

  - ##### value: undefined | UIMenuItem

  #### Returns void

### ParentMenu

- get ParentMenu(): undefined | Menu

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:14

  #### Returns undefined | Menu

### Percentage

- get Percentage(): number
- set Percentage(value: number): void

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:81

  #### Returns number

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:86

  #### Parameters

  - ##### value: number

  #### Returns void

### Title

- get Title(): string
- set Title(value: string): void

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:57

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:61

  #### Parameters

  - ##### value: string

  #### Returns void

## Methods

### Private _getProgress

- _getProgress(): number

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:164

  #### Returns number

### Private _processControls

- _processControls(): void

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:136

  #### Returns void

### draw

- draw(): void

- Overrides AbstractUIMenuPanel.draw

  - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:114

  #### Returns void

### setVerticalPosition

- setVerticalPosition(y: number): void

- Overrides AbstractUIMenuPanel.setVerticalPosition

  - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:104

  #### Parameters

  - ##### y: number

  #### Returns void

### updateParentItem

- updateParentItem(): void

- - Defined in ui/menu/items/panels/UIMenuPercentagePanel.ts:92

  #### Returns void

Generated using TypeDoc